﻿@model StarterProjectV2.ViewModels.OwnerRoomBookingView
@{
    ViewBag.Title = "RoomCreate";
    var noOfDaysRemaining = @Model.NoOfDaysCanStay - @Model.NoOfDaySpent;
    var noOfDaysRemainingMonthly = @Model.NoOfDaysCanStayMonthly - @Model.NoOfDaySpentMonthly;
}
@section HEADERJS{
    <style>
        /* The container */
        .myContainer {
            display: block;
            position: relative;
            padding-left: 35px;
            margin-bottom: 12px;
            cursor: pointer;
            font-size: 14px;
            color: black !important;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
            font-weight: bold;
        }

            /* Hide the browser's default checkbox */
            .myContainer input {
                position: absolute;
                opacity: 0;
                cursor: pointer;
                height: 0;
                width: 0;
            }

        /* Create a custom checkbox */
        .checkmark {
            position: absolute;
            top: 0;
            left: 0;
            height: 25px;
            width: 25px;
            /*background-color: #eee;*/
            /*background-color: #7dbfe1;*/
            background-color: #a4b7c1;
        }

        /* On mouse-over, add a grey background color */
        .myContainer:hover input ~ .checkmark {
            background-color: #ccc;
        }

        /* When the checkbox is checked, add a blue background */
        .myContainer input:checked ~ .checkmark {
            background-color: #2196F3;
        }

        /* Create the checkmark/indicator (hidden when not checked) */
        .checkmark:after {
            content: "";
            position: absolute;
            display: none;
        }

        /* Show the checkmark when checked */
        .myContainer input:checked ~ .checkmark:after {
            display: block;
        }

        /* Style the checkmark/indicator */
        .myContainer .checkmark:after {
            left: 9px;
            top: 5px;
            width: 5px;
            height: 10px;
            border: solid white;
            border-width: 0 3px 3px 0;
            -webkit-transform: rotate(45deg);
            -ms-transform: rotate(45deg);
            transform: rotate(45deg);
        }

        .info {
            background-color: #e7f3fe;
            /*border-left: 6px solid #2196F3;*/
        }

        @@media only screen and (max-width: 600px) {
            .card {
                height: 140vh;
                overflow: scroll;
            }
        }
    </style>
}
@section PAGETITLE{
    Booking Create
}
<div class="container-fluid" style="height: 100%">
    <div class="card col-12">
        <div class="card-body pl-5">
            <h2 class="text-center" style="color: cadetblue">Room Booking Request Form of @Model.SlotId</h2>
            <h4 class="text-center" style="color: indianred">No. of Days You Can Stay at hotel in a year: @Model.NoOfDaysCanStay</h4>
            <h4 class="text-center" style="color: indianred">No. of Days You Can Stay at hotel in a month: @Model.NoOfDaysCanStayMonthly</h4>

            <h4 class="text-center" style="color: indianred">No. of Days Spent or Already Requested at hotel: @Model.NoOfDaySpent</h4>
            <h4 class="text-center" style="color: indianred">No. of Days Remaining for this year at hotel: @noOfDaysRemaining</h4>
            <h4 class="text-center" style="color: indianred">No. of Days Remaining for this month at hotel: @noOfDaysRemainingMonthly</h4>
            <p class="text-muted"></p>
            @using (Html.BeginForm("BookingAddorEdit", "Booking", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
            {
                <div>
                    <h4 style="font-weight: bold">
                        Guest Details
                    </h4>
                    <hr />
                </div>
                <div class="p-3">
                    <div class="form-group row mb-3">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Main Guest</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.GuestNameMain, new { @class = "form-control", required = "required" })
                            @Html.ValidationMessageFor(m => m.GuestNameMain, "", new { @class = "text-danger" })
                        </div>
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Guest #2</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.GuestNameTwo, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group row mb-3">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Guest #3</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.GuestNameThree, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group row mb-3">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Main Guest Address</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextAreaFor(m => m.GuestAddress, new { @class = "form-control", rows = "1" })
                        </div>
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Main Guest Date of Birth</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.DateOfBirth, new { @class = "form-control", type = "date" })
                        </div>
                    </div>
                    <div class="form-group row mb-3">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Guest Mobile No.</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.GuestMobile, new { @class = "form-control", required = "required" })
                            @Html.ValidationMessageFor(m => m.GuestMobile, "", new { @class = "text-danger", @id = "MobileError" })
                        </div>
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Guest Email</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.Email, new { @class = "form-control" })
                            @Html.ValidationMessageFor(m => m.Email, "", new { @class = "text-danger", @id = "EmailError" })
                        </div>
                    </div>
                    <div class="form-group row mb-3">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label" title="Relation with Slot Owner">Relationship</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.DropDownListFor(m => m.Relation, new SelectList(Model.RelationEnumList), new { @class = "form-control", })
                        </div>
                    </div>
                </div>
                <div>
                    <h4 class="pt-2" style="font-weight: bold">
                        Booking Details
                    </h4>
                    <hr />
                </div>
                <div class="p-3">
                    <div class="form-group row mb-3">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">No of Adult</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.NoOfAdult, new { @class = "form-control", placeholder = "", type = "number" })
                        </div>
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">No of Child</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.NoOfChild, new { @class = "form-control", placeholder = "", type = "number" })
                        </div>
                    </div>
                    <div class="form-group row mb-3">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">No of Rooms</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.NoOfRoomRequested, new { @class = "form-control", placeholder = "", type = "number", value = 1, @required = "required", @readonly = "readonly" })
                        </div>
                    </div>
                    <div class="form-group row mb-5">
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Arrival Date</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.Startdate, new { @Id = "StartDate", @class = "form-control", type = "date", required = "required" })
                        </div>
                        <label class="col-sm-3 col-lg-2 col-md-3  col-form-label">Departure Date</label>
                        <div class="col-sm-3 col-lg-3 col-md-3">
                            @Html.TextBoxFor(m => m.Enddate, new { @Id = "EndDate", @class = "form-control", type = "date", required = "required" })
                        </div>
                    </div>
                    @Html.HiddenFor(m => m.IsBookingCompleted, new { @id = "IsBookingComplete" })
                    @Html.HiddenFor(m => m.OwnerRoomBookingId, new { @id = "OwnerRoomBookingId" })
                    @Html.HiddenFor(m => m.OBOwnerId, new { @id = "OBOwnerId" })

                    @Html.HiddenFor(m => m.SlotId, new { @SlotId = "SlotId" })
                    @Html.HiddenFor(m => m.NoOfDaysCanStay, new { @NoOfDaysCanStay = "NoOfDaysCanStay" })
                    @Html.HiddenFor(m => m.NoOfDaySpent, new { @NoOfDaySpent = "NoOfDaySpent" })

                    <hr style="border-top: 1px dashed #ccc" />


                    <label class="myContainer mt-2" style="font-size: 12px">
                        I agree with the terms and conditions of the company regarding online booking for slot owners and i agree to pay all the charges incurred by me during my stay at BEST WESTERN PLUS HERITAGE, Cox's Bazar<br>
                        <input type="checkbox" id="agreeTermsButton">
                        <span class="checkmark"></span>
                    </label>

                </div>

                <div class="d-flex justify-content-center my-3">
                    <input type="submit" name="submitBookingForm"
                           class="inputButton btn btn-block w-50"
                           style="background: #315152;color:white;font-weight:bold"
                           id="submitBookingForm" value=" Submit "
                           disabled="disabled" />
                </div>

                <div class="info mt-2" style="font-size: 11px">
                    <p><strong>Important!</strong> Your request for booking rooms will be completed based on the availability of rooms at your requested arrival time and the decision of hotel management will be final at any moment. <a href="@Url.Action("TermsAndConditions", "Booking")" target="_blank"> Also, click here to see terms & conditions.</a></p>
                </div>
            }
        </div>
    </div>
</div>


<script>
    var submitBookingForm = document.getElementById('submitBookingForm'),
        checkbox = document.getElementById('agreeTermsButton'),
        disableSubmit = function (e) {
            submitBookingForm.disabled = !this.checked
        };

    checkbox.addEventListener('change', disableSubmit);
</script>
<script>
    document.getElementById("NoOfRoomRequested").value = 1;
    document.getElementById("NoOfAdult").value = 1;
</script>
<script>
    $("#NoOfRoomRequested").keyup(function () {
        //alert('hey');
        var NoOfRoomRequested = parseInt(document.getElementById("NoOfRoomRequested").value);
        if (NoOfRoomRequested <= 0) {
            toastr.error('No Of Room Requested must atleast be 1', 'Error', {
                closeButton: true,
                timeOut: 1500,
                progressBar: true,
            });
            document.getElementById("NoOfRoomRequested").value = 1;
        }
    });
    $("#Email").keyup(function () {
        var emailReceiver = document.getElementById("Email").value;
        //alert(emailReceiver);
        var re = /^(([^<>()[\]\\.,;:\s@@"]+(\.[^<>()[\]\\.,;:\s@@"]+)*)|(".+"))@@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        isValidEmail = re.test(String(emailReceiver).toLowerCase());
        //alert(isValidEmail);
        if (!isValidEmail) {
            $("#EmailError").html("Please provide correct Email");
        }
        else {
            $("#EmailError").html("");
        }
    });
    $("#GuestMobile").keyup(function () {
        var emailReceiver = document.getElementById("GuestMobile").value;
        //alert(emailReceiver);
        var re = /^01[3-9][0-9]{8}$/;
        isValidEmail = re.test(String(emailReceiver).toLowerCase());
        //alert(isValidEmail);
        if (!isValidEmail) {
            $("#MobileError").html("Please provide correct Mobile No.");
        }
        else {
            $("#MobileError").html("");
        }
    });

</script>
<script>
    $("#NoOfAdult").keyup(function () {
        var NoOfAdult = parseInt(document.getElementById("NoOfAdult").value);
        if (NoOfAdult <= 0) {
            toastr.error('No Of Adults must atleast be 1', 'Error', {
                closeButton: true,
                timeOut: 1500,
                progressBar: true,
            });
            document.getElementById("NoOfAdult").value = 1;
        }
    });
</script>


<script>
    var day = "@DateTime.Now.Day";
    var month = "@DateTime.Now.Month";
    var year = "@DateTime.Now.Year";
    if (month.length != 2) {
        month = '0' + month;
    }
    if (day.length != 2) {
        day = '0' + day;
    }
    var endDay = "@DateTime.Now.AddDays(1).Day";
    var endMonth = "@DateTime.Now.AddDays(1).Month";
    var endYear = "@DateTime.Now.AddDays(1).Year";
    //alert(year + "-" + month + "-" + day);
    if (endMonth.length != 2) {
        endMonth = '0' + endMonth;
    }
    if (endDay.length != 2) {
        endDay = '0' + endDay;
    }
    document.getElementById("StartDate").value = year + "-" + month + "-" + day;
    document.getElementById("EndDate").value = endYear + "-" + endMonth + "-" + endDay;
</script>
<script>
    Date.prototype.addDays = function (days) {
        var date = new Date(this.valueOf());
        date.setDate(date.getDate() + days);
        return date;
    }
    $("#EndDate").change(function () {
        var startDate = document.getElementById("StartDate").value;
        var endDate = document.getElementById("EndDate").value;
        //alert(endDate);
        if ((Date.parse(startDate) > Date.parse(endDate)) || (Date.parse(startDate) === Date.parse(endDate))) {
            //alert("End date should be greater than Start date");
            toastr.error('Departure date should be greater than Arrival date', 'Error', {
                closeButton: true,
                timeOut: 1500,
                progressBar: true,
            });
            //alert(startDate);
            var StartDate = new Date(startDate);
            //alert(StartDate);
            var EndDate = new Date(StartDate.addDays(1));
            var dd = String(EndDate.getDate()).padStart(2, '0');
            var mm = String(EndDate.getMonth() + 1).padStart(2, '0'); //January is 0!
            var yyyy = EndDate.getFullYear();
            var enddate = yyyy + "-" + mm + "-" + dd;
            //alert(enddate);
            document.getElementById("EndDate").value = enddate;
        }
    });
    $("#StartDate").change(function () {
        var startDate = document.getElementById("StartDate").value;
        var endDate = document.getElementById("EndDate").value;
        if ((Date.parse(startDate) > Date.parse(endDate)) || (Date.parse(startDate) === Date.parse(endDate))) {
            var StartDate = new Date(startDate);
            //alert(StartDate);
            var EndDate = new Date(StartDate.addDays(1));
            var dd = String(EndDate.getDate()).padStart(2, '0');
            var mm = String(EndDate.getMonth() + 1).padStart(2, '0'); //January is 0!
            var yyyy = EndDate.getFullYear();
            var enddate = yyyy + "-" + mm + "-" + dd;
            //alert(enddate);
            document.getElementById("EndDate").value = enddate;
        }
    });
</script>
